Payment Rules
curl --request PUT \
--url https://scx-sbx.api.jtl-software.com/v1/channel/payment-rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"supportedPaymentMethodList": [
{
"paymentMethodId": "PM011",
"displayName": "CreditCard"
}
]
}
'import requests
url = "https://scx-sbx.api.jtl-software.com/v1/channel/payment-rules"
payload = { "supportedPaymentMethodList": [
{
"paymentMethodId": "PM011",
"displayName": "CreditCard"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
supportedPaymentMethodList: [{paymentMethodId: 'PM011', displayName: 'CreditCard'}]
})
};
fetch('https://scx-sbx.api.jtl-software.com/v1/channel/payment-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errorList": [
{
"code": "VAL100",
"message": "Required field sellerId not found",
"severity": "error",
"hint": "Check the field `sellerId` — it must be a non-empty string."
}
]
}{
"errorList": [
{
"code": "GEN404",
"message": "Not found",
"severity": "error",
"hint": null
}
]
}{
"errorList": [
{
"code": "GEN500",
"message": "Internal Server Error",
"severity": "error",
"hint": null
}
]
}Meta
Payment Rules
Payment Rules
PUT
/
v1
/
channel
/
payment-rules
Payment Rules
Authorizations
As a Channel Integrator you will receive a API Refresh Token. With such a Refresh Token you need to request an Access Token with a limited Lifetime (see POST /v1/auth). This Access Token must be provided as a Bearer Token in the Authorization Header with every request.
Body
application/json
Set of payment rules (payment methods, currencies) supported by the channel.
Payment rules supported by the channel — list of accepted payment methods.
Show child attributes
Show child attributes
Response
Payment Rules Created
Was this page helpful?
⌘I